Name:        cascadia-code-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/CascadiaCode.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 CaskaydiaCoveNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-Bold.ttf
install -Dm644 CaskaydiaCoveNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-BoldItalic.ttf
install -Dm644 CaskaydiaCoveNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-Bold.ttf
install -Dm644 CaskaydiaCoveNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-BoldItalic.ttf
install -Dm644 CaskaydiaCoveNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-Bold.ttf
install -Dm644 CaskaydiaCoveNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-BoldItalic.ttf
install -Dm644 CaskaydiaCoveNerdFont-ExtraLight.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-ExtraLight.ttf
install -Dm644 CaskaydiaCoveNerdFont-ExtraLightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-ExtraLightItalic.ttf
install -Dm644 CaskaydiaCoveNerdFontMono-ExtraLight.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-ExtraLight.ttf
install -Dm644 CaskaydiaCoveNerdFontMono-ExtraLightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-ExtraLightItalic.ttf
install -Dm644 CaskaydiaCoveNerdFontPropo-ExtraLight.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-ExtraLight.ttf
install -Dm644 CaskaydiaCoveNerdFontPropo-ExtraLightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-ExtraLightItalic.ttf
install -Dm644 CaskaydiaCoveNerdFont-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-Light.ttf
install -Dm644 CaskaydiaCoveNerdFont-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-LightItalic.ttf
install -Dm644 CaskaydiaCoveNerdFontMono-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-Light.ttf
install -Dm644 CaskaydiaCoveNerdFontMono-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-LightItalic.ttf
install -Dm644 CaskaydiaCoveNerdFontPropo-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-Light.ttf
install -Dm644 CaskaydiaCoveNerdFontPropo-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-LightItalic.ttf
install -Dm644 CaskaydiaCoveNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-Italic.ttf
install -Dm644 CaskaydiaCoveNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-Regular.ttf
install -Dm644 CaskaydiaCoveNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-Italic.ttf
install -Dm644 CaskaydiaCoveNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-Regular.ttf
install -Dm644 CaskaydiaCoveNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-Italic.ttf
install -Dm644 CaskaydiaCoveNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-Regular.ttf
install -Dm644 CaskaydiaCoveNerdFont-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-SemiBold.ttf
install -Dm644 CaskaydiaCoveNerdFont-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-SemiBoldItalic.ttf
install -Dm644 CaskaydiaCoveNerdFontMono-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-SemiBold.ttf
install -Dm644 CaskaydiaCoveNerdFontMono-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-SemiBoldItalic.ttf
install -Dm644 CaskaydiaCoveNerdFontPropo-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-SemiBold.ttf
install -Dm644 CaskaydiaCoveNerdFontPropo-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-SemiBoldItalic.ttf
install -Dm644 CaskaydiaCoveNerdFont-SemiLight.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-SemiLight.ttf
install -Dm644 CaskaydiaCoveNerdFont-SemiLightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-SemiLightItalic.ttf
install -Dm644 CaskaydiaCoveNerdFontMono-SemiLight.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-SemiLight.ttf
install -Dm644 CaskaydiaCoveNerdFontMono-SemiLightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-SemiLightItalic.ttf
install -Dm644 CaskaydiaCoveNerdFontPropo-SemiLight.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-SemiLight.ttf
install -Dm644 CaskaydiaCoveNerdFontPropo-SemiLightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-SemiLightItalic.ttf

%files

%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-ExtraLight.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-ExtraLightItalic.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-ExtraLight.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-ExtraLightItalic.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-ExtraLight.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-ExtraLightItalic.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-Light.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-LightItalic.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-Light.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-LightItalic.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-Light.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-LightItalic.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-SemiBold.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-SemiBoldItalic.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-SemiBold.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-SemiBoldItalic.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-SemiBold.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-SemiBoldItalic.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-SemiLight.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFont-SemiLightItalic.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-SemiLight.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontMono-SemiLightItalic.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-SemiLight.ttf
%{_datadir}/fonts/%{name}/CaskaydiaCoveNerdFontPropo-SemiLightItalic.ttf
%license "LICENSE"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
